## prog.io
Class FileNonPresenteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  prog.io.FileNonPresenteException

All Implemented Interfaces:
  java.io.Serializable

    public class FileNonPresenteException

extends java.lang.RuntimeException

Segnala il tentativo di aprire un file che non esiste.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari
See Also:
  Serialized Form

Constructor Summary
`FileNonPresenteException()`
`FileNonPresenteException(java.lang.String str)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileNonPresenteException

    public FileNonPresenteException()

### FileNonPresenteException

    public FileNonPresenteException(java.lang.String str)